module.exports = {
    serverData: { 
        host: '192.168.1.3', 
        port: 21 
    },
    proxyData: {
        id: 'Proxy test local machine',
        ip: '0.0.0.0',
        port: 21,
        machineName: 'Cosmostreamer'
    },
    logging: {
        useConsole: false,
        useFile: false,
        filePath: '', // 'FTPProxy-Logging(%DATE%).log'
        level: 'DEBUG'
    },
    statsPlugin: {
    	usePlugin: true,
        activeStatusInterval: 10 * 1000, // 10 seconds in milliseconds 
        inactiveStatusInterval: 1 * 60 * 60 * 1000, // 1 hour in milliseconds 
        timeToIgnoreIdleTransfer: 10 * 60 * 1000  // 10 minutes in milliseconds 
    },
    messagePublisher: {
        connectionString: '',
        exchange: {
            name: 'FtpProxy.Notifications',
            options: {
                type: 'topic'
            }
        },
        RK: {
            snapshot: {
                name : 'FtpProxy.Notifications.Snapshot',
                options:{
                    type: 'FtpProxy.FtpStatus'
                    ,contentType: 'application/json'
                    ,contentEncoding: 'utf-8'
                    ,immediate: true
                }
            },
            onTransferStarted: {
                name : 'FtpProxy.Notifications.OnTransferStarted',
                options:{
                    type: 'FtpProxy.FtpTransferInfo'
                    ,contentType: 'application/json'
                    ,contentEncoding: 'utf-8'
                    ,immediate: true
                }
            },
            onTransferEnded: {
                name : 'FtpProxy.Notifications.OnTransferEnded',
                options:{
                    type: 'FtpProxy.FtpTransferInfo'
                    ,contentType: 'application/json'
                    ,contentEncoding: 'utf-8'
                    ,immediate: true
                }
            },
            onTransferAborted: {
                name : 'FtpProxy.Notifications.OnTransferAborted',
                options:{
                    type: 'FtpProxy.FtpTransferInfo'
                    ,contentType: 'application/json'
                    ,contentEncoding: 'utf-8'
                    ,immediate: true
                }
            }
        }
    }
}