#!/bin/sh

# copy config from /boot with replace windows \r symbols
mount /boot > /dev/null 2>&1
cat /boot/cosmostreamer-wired.conf | sed 's/\r$//' > /run/cosmostreamer.conf

. ./cosmostreamer.conf

# run HDMI display
if [ "$hdmi_enabled" = "1" ] ; then
    ./scripts/hdmi-change.sh 1 > /dev/null 2>&1 &
else
    ./scripts/hdmi-change.sh 0 > /dev/null 2>&1 &
fi

# check update file in /boot
UPDATE_FILENAME=`ls /boot/*.tar.gz 2>&1`
if [ "$?" = "0" ] ; then
    ./update.sh $UPDATE_FILENAME
fi

sysctl -w net.ipv4.udp_mem="8388608 12582912 16777216" > /dev/null
sysctl -w net.ipv4.udp_rmem_min=100000 >> /dev/null
sysctl -w net.ipv4.udp_wmem_min=100000 >> /dev/null
sysctl -w net.core.rmem_max=1048576 > /dev/null
sysctl -w net.core.rmem_default=1048576 > /dev/null


# start wlans manager
./scripts/wlan-switch.php &

# exit if disabled in config
if [ "$disabled" = "1" ]; then
    exit
fi

./scripts/receiver-video.sh > /dev/null 2>&1 &

# run internal camera
./scripts/camera.sh > /dev/null 2>&1 &

# run RC receiver
./scripts/rc.sh > /dev/null 2>&1 &

# run WebSockets data bridge
./scripts/ws-data.sh > /dev/null 2>&1 &

# run FTP proxy
cd ./ftp-proxy
./ftp-loop.sh > /dev/null 2>&1 &
cd  ..

# clear HDMI console
setterm -clear all -foreground black -background black > /dev/tty0
setterm -clear all -foreground black -background black > /dev/tty3

while [ 1 ]; do
    ./bin/cosmostreamer-wired > /dev/null 2>&1

    # reboot if bad errors
    if  [ "$?" = "100" ]; then
	reboot
    fi

    sleep 1
done
